POST /v1/faqs

Service: content · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "question": {
      "type": "string"
    },
    "answer": {
      "type": "object",
      "additionalProperties": {}
    },
    "brandId": {
      "type": "string"
    },
    "category": {
      "type": "string"
    },
    "sortOrder": {
      "type": "number"
    },
    "status": {
      "type": "string",
      "enum": [
        "draft",
        "published",
        "archived"
      ]
    }
  },
  "required": [
    "question",
    "answer"
  ]
}

Responses

201 Created FAQ

{
  "type": "object",
  "properties": {
    "id": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "question": {
      "type": "string"
    },
    "answer": {
      "type": "object",
      "additionalProperties": {}
    },
    "brandId": {
      "type": "string"
    },
    "category": {
      "type": [
        "string",
        "null"
      ]
    },
    "sortOrder": {
      "type": "number"
    },
    "status": {
      "type": "string"
    },
    "createdAt": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "question",
    "brandId",
    "status",
    "createdAt",
    "updatedAt"
  ]
}

Example

curl -X POST https://content.platform.loop.health/v1/faqs \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'